package cn.estsh.i3plus.pojo.wms.dto;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

@Data
public class WmsTmsDriverDto implements Serializable {

    @Column(name="DRIVER_NO")
    @ApiParam(value ="驾驶员编号")
    private String driverNo;

    @Column(name="DRIVER_NAME")
    @ApiParam(value ="驾驶员姓名")
    private String driverName;

    @Column(name="SEX")
    @ApiParam(value ="驾驶员性别")
    private Integer sex;

    @Column(name="AGE")
    @ApiParam(value ="驾驶员年龄")
    private String age;

    @Column(name="ID_NO")
    @ApiParam(value ="驾驶员身份证号")
    private String idNo;

    @Column(name="ADRESS")
    @ApiParam(value ="驾驶员籍贯")
    private String adress;

    @Column(name="PHONE")
    @ApiParam(value ="车牌号")
    private String phone;

    @Column(name="LOGIN_NO")
    @ApiParam(value =" 登录账号")
    private String loginNo;

    @ApiParam("是否删除，默认否")
    private Integer isDeleted = 2;

    @ApiParam("是否有效，默认是")
    private Integer isValid = 1;
}
